Subject: Re: bug#61396: diff mode could distinguish changed from deleted lines

From: Robert Pluim <[email-masked]>
Date: Mon, 24 Jul 2023 12:21:14 +0200

>>>>> On Sat, 22 Jul 2023 23:04:10 -0700, Samuel Wales <[email-masked]> said:

    Samuel> so basically,
    Samuel>   -this is a line that ^looks deleted, but it is changed
    Samuel> ...
    Samuel>   +this is a line that REALLY looks deleted, but it is changed

    Samuel> what is not indicated for the user is at the ^.  i woul dlike it if
    Samuel> diff mode if possible showed that text was deleted there.

Thatʼs what diff-mode does, if `diff-refine' is non-nil (which is the
default nowadays), by applying the `diff-refine-removed' face.

Robert
--